package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussRegionCodeSxf;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussRegionCodeSxfMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussRegionCodeSxf record);

    int insertSelective(TbPlussRegionCodeSxf record);

    TbPlussRegionCodeSxf selectByPrimaryKey(Integer id);

    /**
     * 获取银盛对应的地区信息
     * @param province  省
     * @param city      市
     * @param area      县区
     * @return  地区信息
     */
    TbPlussRegionCodeSxf selectRegionCode(@Param("province") String province, @Param("city") String city, @Param("area") String area);

    int updateByPrimaryKeySelective(TbPlussRegionCodeSxf record);

    int updateByPrimaryKey(TbPlussRegionCodeSxf record);
}